GDB (xrefs)

Public Member Functions | Private Attributes | List of all members
ui_out_redirect_pop Class Reference

`#include "ui-out.h"`

## Public Member Functions
| ui_out_redirect_pop (ui_out *uiout)
| ~ui_out_redirect_pop ()
| ui_out_redirect_pop (const ui_out_redirect_pop &)=delete
ui_out_redirect_pop & | operator= (const ui_out_redirect_pop &)=delete

## Private Attributes
struct ui_out * | m_uiout

## Detailed Description

Definition at line 245 of file ui-out.h.

## Constructor & Destructor Documentation

## ◆ ui_out_redirect_pop() [1/2]

ui_out_redirect_pop::ui_out_redirect_pop | ( | ui_out * | uiout | ) |
| inline

Definition at line 249 of file ui-out.h.

## ◆ ~ui_out_redirect_pop()

ui_out_redirect_pop::~ui_out_redirect_pop | ( |  | ) |
| inline

Definition at line 254 of file ui-out.h.

References m_uiout, and ui_out::redirect().

## ◆ ui_out_redirect_pop() [2/2]

ui_out_redirect_pop::ui_out_redirect_pop | ( | const ui_out_redirect_pop & |  | ) |
| delete

## Member Function Documentation

## ◆ operator=()

ui_out_redirect_pop& ui_out_redirect_pop::operator= | ( | const ui_out_redirect_pop & |  | ) |
| delete

## Member Data Documentation

## ◆ m_uiout

struct ui_out* ui_out_redirect_pop::m_uiout
| private

Definition at line 263 of file ui-out.h.

Referenced by ~ui_out_redirect_pop().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/ui-out.h